/*
  @description:国际化信息
  @Modifier:秦柯/肖文龙
  @routerPath:
  @date: 2020/2/4-17:08
  * */
import Cookies from 'js-cookie'
const language = {
  state: {
    language: {
    }
  },
  mutations: {
    // 国际化-当前语言
    SET_LANGUAGE: (state, language) => {
      let langCode = ''
      if (language) { // 有值时
        Cookies.set('language', language)
        langCode = language
      } else { // 没有值时
        langCode = Cookies.get('language') || 'zh'
      }
      state.langCode = langCode
    },
    // 国际化字典信息
    SET_LANGDATA: (state, langData) => {
      /* langData 数据格式
      *{
         langKey: key, // 功能模块
          data: {}
        }
      * */
      state.language = {
        ...state.language,
        ...langData.data
      }
    }
  },
  actions: {
    // 国际化-当前语言
    setLanguage({ commit }, language) {
      commit('SET_LANGUAGE', language)
    }
  }
}

export default language
